import { jsx } from "react/jsx-runtime";
import { TokenKNC as TokenKNC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKNC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "KNC", "data-name": "TokenKNC", ...props, children: /* @__PURE__ */ jsx(TokenKNC$1, { variant }) });
  }
);
TokenKNC.displayName = "TokenKNC";
Object.assign(TokenKNC, { isGdsIcon: true });
export {
  TokenKNC
};
